Index: trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 6)
@@ -1163,84 +1571,81 @@
                 // データ表示
                 int ino = 1;
                 List<string> Details = new List<string>();
-                PersonInChargeMaster salesData = new PersonInChargeMaster();
-                PersonInChargeMaster constructorData = new PersonInChargeMaster();
 
-                // 期数を取得する
-                int BlankCnt = GetPeriodCount(CreateSalesInProjectsSQL()) - 1;
-                // 行を作成する
-                DataGridViewRow[] list = new DataGridViewRow[arData.Count + BlankCnt];
-
                 // 先頭の期数を取得する
-                ConstructionBaseInfo firstwrkRec = arData[0];
-                int BreakConstructionPeriod = firstwrkRec.ConstructionPeriod;
+                object[] firstwrkRec = (object[])arData[0];
+                int BreakConstructionPeriod = CommonMotions.cnvInt(firstwrkRec[(int)DBColumn1.ConstructionPeriod]);
                 int iLineCnt = 0;
-                foreach (ConstructionBaseInfo wrkRec in arData)
+                int DBCnt = Enum.GetNames(typeof(DBColumn1)).Length;
+                int BreakConstructionCode = 0;
+                foreach (object[] wrkRec in arData)
                 {
-                    // 営業担当名取得
-                    string strSales = picDB.CreatePrimarykeyString(wrkRec.SalesPersonCode);
-                    picDB.ClearStruct(ref salesData);
-                    picDB.SelectAction(strSales, ref salesData);
-                    string salesname = salesData.PersonName;
-                    // 工事担当名取得
-                    string strConstructor = picDB.CreatePrimarykeyString(wrkRec.ConstructionPersonCode);
-                    picDB.ClearStruct(ref constructorData);
-                    string constructorname = CommonDefine.s_UndecidedString;
-                    if (picDB.SelectAction(strConstructor, ref constructorData)) constructorname = constructorData.PersonName;
+                    int iConstructionCode = CommonMotions.cnvInt(wrkRec[(int)DBColumn1.ConstructionCode]);
+                    int iConstructionPeriod = CommonMotions.cnvInt(wrkRec[(int)DBColumn1.ConstructionPeriod]);
+                    int iConstructionStatusFlg = CommonMotions.cnvInt(wrkRec[(int)DBColumn1.ConstructionStatusFlg]);
+                    DateTime dEstimatesSubmitDeadline = CommonMotions.cnvDate(wrkRec[(int)DBColumn1.EstimatesSubmitDeadline]);
+                    string salesname = CommonMotions.cnvString(wrkRec[(int)DBColumn1.S_PERSONNAME]);
+                    string constructorname = CommonMotions.cnvString(wrkRec[(int)DBColumn1.C_PERSONNAME]);
+                    if (constructorname.Length == 0) constructorname = CommonDefine.s_UndecidedString;
+                    DateTime dStartDate = CommonMotions.cnvDate(wrkRec[(int)DBColumn1.STARTDATE]);
+                    DateTime dEndDate = CommonMotions.cnvDate(wrkRec[(int)DBColumn1.ENDDATE]);
 
+                    if (iConstructionCode == BreakConstructionCode) continue;
                     // 名称取得
-                    getDetailStrings(wrkRec.ConstructionCode, Details);
+                    getDetailStrings(iConstructionCode, arData, ref Details);
 
+                    BreakConstructionCode = iConstructionCode;
+
                     // 期が違えば空白を開ける
-                    if (BreakConstructionPeriod != wrkRec.ConstructionPeriod)
+                    if (BreakConstructionPeriod != iConstructionPeriod)
                     {
-                        DataGridViewRow brow = new DataGridViewRow();
-                        brow.CreateCells(dgvSalesInProjects);
-                        list[iLineCnt] = brow;
-                        BreakConstructionPeriod = wrkRec.ConstructionPeriod;
+                        BreakConstructionPeriod = iConstructionPeriod;
+                        dgvBudgetUp.Rows.Add();
                         iLineCnt++;
                     }
 
                     // データセット
-                    DataGridViewRow row = new DataGridViewRow();
-                    row.CreateCells(dgvSalesInProjects);
-                    row.SetValues(new object[] { wrkRec.ConstructionCode.ToString()
+                    int LineCnt = dgvBudgetUp.Rows.Add(iConstructionCode
                                                 , ino
-                                                , wrkRec.ConstructionPeriod.ToString()
+                                                , iConstructionPeriod
                                                 , Details[0]
-                                                , CommonDefine.ProjectsStatus[wrkRec.ConstructionStatusFlg]
-                                                , CommonMotions.cnvDateToUndecidedString(wrkRec.EstimatesSubmitDeadline)
+                                                , CommonDefine.ProjectsStatus[iConstructionStatusFlg]
+                                                , CommonMotions.cnvDateToUndecidedString(dEstimatesSubmitDeadline)
                                                 , salesname
                                                 , constructorname
-                                                , CommonMotions.cnvDateToUndecidedString(wrkRec.StartDate)
-                                                , CommonMotions.cnvDateToUndecidedString(wrkRec.EndDate)
+                                                , CommonMotions.cnvDateToUndecidedString(dStartDate)
+                                                , CommonMotions.cnvDateToUndecidedString(dEndDate)
                                                 , Details[1] + Details[2] + Details[3]
-                                                , Details[4]});
-                    
+                                                , Details[4]);
+
+                    // データを工事情報のフォーマットに詰めなおす
+                    ConstructionBaseInfo BaseRec = new ConstructionBaseInfo();
+                    int objCnt = wrkRec.Length - DBCnt;
+                    object[] wrkobj = new object[objCnt];
+                    for (int i = 0; i < objCnt; i++)
+                    {
+                        wrkobj[i] = wrkRec[i + DBCnt];
+                    }
+                    cbiDB.Reader2Struct(wrkobj, ref BaseRec);
+
                     // エラー行に色を付ける
-                    DispErrorSubmittedDateRow(dgvSalesInProjects, row, wrkRec, ChkProc);
-                    list[iLineCnt] = row;
+                    DataGridViewRow row = dgvSalesInProjects.Rows[LineCnt];
+                    DispErrorSubmittedDateRow(dgvBudgetUp, row, BaseRec, ChkProc);
                     iLineCnt++;
 
                     // ProgressBarの値を変更する
-                    ProgressSalesProjects.Value = ino++;
-                    ProgressSalesProjects.Update();
+                    ProgressBudgetUp.Value = ino++;
+                    ProgressBudgetUp.Update();
                 }
                 // 行や列を追加したり、セルに値を設定するときは、自動サイズ設定しない。
-                dgvSalesInProjects.AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.None;
-                dgvSalesInProjects.AutoSizeRowsMode = DataGridViewAutoSizeRowsMode.None;
-                dgvSalesInProjects.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
+                dgvBudgetUp.AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.None;
+                dgvBudgetUp.AutoSizeRowsMode = DataGridViewAutoSizeRowsMode.None;
+                dgvBudgetUp.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
 
-                // グリッドに表示
-                dgvSalesInProjects.Rows.AddRange(list);
-
                 // ProgressBarの値を変更する
-                ProgressSalesProjects.Value = ProgressSalesProjects.Maximum;
-                ProgressSalesProjects.Update();
-                ProgressSalesProjects.Visible = false;
-
-                DateTime dAEnd = DateTime.Now;
-                Console.WriteLine("Read End   :" + dAEnd.ToString("hh:mm:ss.fff") + "==" + (dAEnd - dStart).ToString());
+                ProgressBudgetUp.Value = ProgressBudgetUp.Maximum;
+                ProgressBudgetUp.Update();
+                ProgressBudgetUp.Visible = false;
             }
             catch (Exception ex)
             {
@@ -1249,129 +1654,34 @@
             finally
             {
                 // データが多くなればソートできる
-                if (CommonDefine.s_MaxInitLineCount > dgvSalesInProjects.RowCount)
-                    dgvSalesInProjects.RowCount += (CommonDefine.s_MaxInitLineCount - dgvSalesInProjects.RowCount);
+                if (CommonDefine.s_MaxInitLineCount > dgvBudgetUp.RowCount)
+                    dgvBudgetUp.RowCount += (CommonDefine.s_MaxInitLineCount - dgvBudgetUp.RowCount);
 
-                // データが多くなればソートできる
-                foreach (DataGridViewColumn wrkCol in dgvSalesInProjects.Columns)
+                // 読込時データカウント取得
+                foreach (DataGridViewColumn wrkCol in dgvBudgetUp.Columns)
                     wrkCol.SortMode = DataGridViewColumnSortMode.Automatic;
 
                 // グリッドソート実行
-                GridSortExcute(dgvSalesInProjects);
+                GridSortExcute(dgvBudgetUp);
+
                 ChkProc = null;
                 cbiDB.close(); cbiDB = null;
-                picDB.close(); picDB = null;
-                dgvSalesInProjects.ResumeLayout();
+                dgvBudgetUp.ResumeLayout();
             }
         }
-        #region 旧工事案件表示
-        //private void DispSalesInProjects()
-        //{
-        //    IOConstructionBaseInfo cbiDB = new IOConstructionBaseInfo();
-        //    IOMPersonInCharge picDB = new IOMPersonInCharge();
-        //    try
-        //    {
-        //        dgvSalesInProjects.Rows.Clear();
-        //        // SQL作成
-        //        string strSQL = CreateSalesInProjectsSQL();
-        //        ArrayList arData = new ArrayList();
+        #endregion
 
-        //        DateTime dStart = DateTime.Now;
-        //        Console.WriteLine("Read Start :" + dStart.ToString("hh:mm:ss.fff"));
-
-        //        // 工事基本情報取得
-        //        if (cbiDB.ExecuteReader(strSQL, ref arData))
-        //        {
-        //            DateTime dEnd = DateTime.Now;
-        //            Console.WriteLine("Read End   :" + dEnd.ToString("hh:mm:ss.fff") + "==" + (dEnd - dStart).ToString());
-
-        //            ProgressSalesProjects.Visible = true;
-        //            ProgressSalesProjects.Minimum = 0;
-        //            ProgressSalesProjects.Maximum = arData.Count;
-        //            tabPage8.Update();
-        //            //Thread.Sleep(100);
-
-        //            dgvSalesInProjects.SuspendLayout();
-
-        //            // データ表示
-        //            int ino = 1;
-        //            foreach (object[] objwrk in arData)
-        //            {
-        //                // 営業担当名取得
-        //                string strSales = picDB.CreatePrimarykeyString(int.Parse(objwrk[3].ToString()));
-        //                PersonInChargeMaster salesData = new PersonInChargeMaster();
-        //                picDB.SelectAction(strSales, ref salesData);
-        //                string salesname = salesData.PersonName;
-        //                // 工事担当名取得
-        //                string strConstructor = picDB.CreatePrimarykeyString(int.Parse(objwrk[4].ToString()));
-        //                PersonInChargeMaster constructorData = new PersonInChargeMaster();
-        //                string constructorname = ClsCommonDefine.s_UndecidedString;
-        //                if (picDB.SelectAction(strConstructor, ref constructorData)) constructorname = constructorData.PersonName;
-
-        //                int rowcnt = dgvSalesInProjects.Rows.Add(objwrk[0].ToString()
-        //                                            , ino
-        //                                            , objwrk[1].ToString()
-        //                                            , objwrk[2].ToString()
-        //                                            , ClsCommonDefine.ConstructionProjectsStatus[int.Parse(objwrk[11].ToString())]
-        //                                            , ClsCommon.cnvDateToUndecidedString(ClsCommon.cnvDate(objwrk[13].ToString()))
-        //                                            , salesname
-        //                                            , constructorname
-        //                                            , ClsCommon.cnvDateToUndecidedString(ClsCommon.cnvDate(objwrk[5].ToString()))
-        //                                            , ClsCommon.cnvDateToUndecidedString(ClsCommon.cnvDate(objwrk[6].ToString()))
-        //                                            , objwrk[7].ToString() + objwrk[8].ToString() + objwrk[9].ToString()
-        //                                            , objwrk[10].ToString()
-        //                                            );
-        //                // ProgressBarの値を変更する
-        //                ProgressSalesProjects.Value = ino++;
-        //                ProgressSalesProjects.Update();
-
-        //                // エラー行に色を付ける
-        //                DispErrorEstimatesSubmittedDate(dgvSalesInProjects, rowcnt, objwrk);
-        //            }
-        //            // ProgressBarの値を変更する
-        //            ProgressSalesProjects.Value = ProgressSalesProjects.Maximum;
-        //            ProgressSalesProjects.Update();
-        //            ProgressSalesProjects.Visible = false;
-        //        }
-
-        //        // データが多くなればソートできる
-        //        if (ClsCommonDefine.s_MaxInitLineCount < dgvSalesInProjects.RowCount)
-        //        {
-        //            foreach (DataGridViewColumn wrkCol in dgvSalesInProjects.Columns)
-        //                wrkCol.SortMode = DataGridViewColumnSortMode.Automatic;
-        //        }
-        //        else
-        //        {
-        //            // 読込時データカウント取得
-        //            dgvSalesInProjects.RowCount += (ClsCommonDefine.s_MaxInitLineCount - arData.Count);
-        //        }
-
-        //        dgvSalesInProjects.ResumeLayout();
-        //    }
-        //    catch (Exception ex)
-        //    {
-        //        logger.ErrorFormat("システムエラー：{0}：{1}", ClsCommon.GetMethodName(), ex.Message);
-        //    }
-        //    finally
-        //    {
-        //        cbiDB.close();
-        //        cbiDB = null;
-
-        //        picDB.close();
-        //        picDB = null;
-        //    }
-        //}
-        #endregion
+        #region 予算取り案件一覧表示用データ取得SQL作成
         /// <summary>
-        /// 工事案件一覧表示用データ取得SQL作成
+        /// 予算取り案件一覧表示用データ取得SQL作成
         /// </summary>
-        private string CreateSalesInProjectsSQL()
+        private string CreateBudgetUpProjectsSQL()
         {
             string strSQL = string.Empty;
             try
             {
                 List<int> stat = new List<int>();
-                stat.Add((int)CommonDefine.BaseInfoEstimateType.Normal);
+                stat.Add((int)CommonDefine.BaseInfoEstimateType.GetBudget);
 
                 strSQL += CreateListSQL(stat, true);
 
@@ -1384,9 +1694,31 @@
             }
         }
         #endregion
+        #endregion
 
         #region 受注状況一覧表示関連
+        #region 受注状況一覧データ並び
         /// <summary>
+        /// 受注状況一覧データ並び
+        /// </summary>
+        private enum DBColumn2
+        {
+            ConstructionCode = 0,
+            ConstructionPeriod,
+            DETAILNO,
+            DETAILSTRING,
+            ConstructionStatusFlg,
+            EstimatesSubmitDeadline,
+            S_PERSONNAME,
+            C_PERSONNAME,
+            CS_PERSONNAME,
+            I_PERSONNAME,
+            DepartmentCode,
+        }
+        #endregion
+
+        #region 受注状況一覧表示
+        /// <summary>
         /// 受注状況一覧表示
         /// </summary>
         private void DispConstructionProjects()
@@ -1393,7 +1725,6 @@
         {
             ClsSystemOnceExecute ChkProc = new ClsSystemOnceExecute();
             IOConstructionBaseInfo cbiDB = new IOConstructionBaseInfo();
-            IOMPersonInCharge picDB = new IOMPersonInCharge();
             IOMDepartment dmDB = new IOMDepartment();
             dgvConstructionProjects.SuspendLayout();
             try
@@ -1400,12 +1731,24 @@
             {
                 dgvConstructionProjects.Rows.Clear();
                 // SQL作成
-                string strSQL = CreateConstructionProjectsSQL();
-                //strSQL += string.Format(" And ConstructionPeriod = {0}", CommonMotions.SystemMasterData.BusinessPeriod);
-                strSQL += " Order By ConstructionPeriod Desc, ConstructionStatusFlg Asc, ConstructionCode Asc";
-                List<ConstructionBaseInfo> arData = new List<ConstructionBaseInfo>();
+                string strSQL = "SELECT A.ConstructionCode, A.ConstructionPeriod, B.DETAILNO, B.DETAILSTRING, A.ConstructionStatusFlg,";
+                strSQL += " A.EstimatesSubmitDeadline, C.PERSONNAME, D.PERSONNAME, E.PERSONNAME, F.PERSONNAME, D.DepartmentCode , A.*";
+                strSQL += " FROM (CONSTRUCTIONBASEINFO A LEFT JOIN PERSONINCHARGEMASTER D ON D.PERSONCODE = A.CONSTRUCTIONPERSONCODE)";
+                strSQL += " LEFT JOIN PERSONINCHARGEMASTER E ON E.PERSONCODE = A.CONSTRSUBPERSONCODE";
+                strSQL += " LEFT JOIN PERSONINCHARGEMASTER F ON E.PERSONCODE = A.CONSTRUCTIONINSTRUCTOR";
+                strSQL += " , CONSTRUCTIONBASEINFODETAIL B, PERSONINCHARGEMASTER C";
+
+                strSQL += CreateConstructionProjectsSQL();
+
+                strSQL += " AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
+                strSQL += string.Format(" AND B.DETAILNO <= {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace3);
+                strSQL += " AND C.PERSONCODE = A.SALESPERSONCODE";
+                
+                strSQL += " Order By A.ConstructionPeriod Desc, A.ConstructionStatusFlg Asc, A.ConstructionCode Asc, B.DETAILNO ASC";
+                ArrayList arData = new ArrayList();
+
                 // 工事基本情報取得
-                if (!cbiDB.SelectAction(strSQL, ref arData)) return;
+                if (!cbiDB.ExecuteReader(strSQL, ref arData)) return;
                 if (arData.Count == 0) return;
 
                 ProgressConstructionProjects.Visible = true;
@@ -1424,9 +1767,6 @@
                 long lDep04 = 0;
                 long lDep05 = 0;
                 List<string> Details = new List<string>();
-                PersonInChargeMaster salesData = new PersonInChargeMaster();
-                PersonInChargeMaster constructorData = new PersonInChargeMaster();
-                PersonInChargeMaster InstructorData = new PersonInChargeMaster();
 
                 // 期数をセットする
                 string strPeriod = CreateConstructionProjectsSQL();
@@ -1446,40 +1786,46 @@
                 DataGridViewRow[] list = new DataGridViewRow[arData.Count + BlankCnt];
 
                 // 先頭の期数を取得する
-                ConstructionBaseInfo firstwrkRec = arData[0];
-                int BreakConstructionPeriod = firstwrkRec.ConstructionPeriod;
+                object[] firstwrkRec = (object[])arData[0];
+                int BreakConstructionPeriod = CommonMotions.cnvInt(firstwrkRec[(int)DBColumn1.ConstructionPeriod]);
                 int iLineCnt = 0;
-                foreach (ConstructionBaseInfo wrkRec in arData)
+                int DBCnt = Enum.GetNames(typeof(DBColumn2)).Length;
+                int BreakConstructionCode = 0;
+                foreach (object[] DataRec in arData)
                 {
+                    int iConstructionCode = CommonMotions.cnvInt(DataRec[(int)DBColumn2.ConstructionCode]);
+                    int iConstructionPeriod = CommonMotions.cnvInt(DataRec[(int)DBColumn2.ConstructionPeriod]);
+                    int iConstructionStatusFlg = CommonMotions.cnvInt(DataRec[(int)DBColumn2.ConstructionStatusFlg]);
+                    DateTime dEstimatesSubmitDeadline = CommonMotions.cnvDate(DataRec[(int)DBColumn2.EstimatesSubmitDeadline]);
+                    string salesname = CommonMotions.cnvString(DataRec[(int)DBColumn2.S_PERSONNAME]);
+                    string constructorname = CommonMotions.cnvString(DataRec[(int)DBColumn2.C_PERSONNAME]);
+                    if (constructorname.Length == 0) constructorname = CommonDefine.s_UndecidedString;
+                    string instructorname = CommonMotions.cnvString(DataRec[(int)DBColumn2.I_PERSONNAME]);
+                    if (instructorname.Length == 0) instructorname = CommonDefine.s_UndecidedString;
+                    int iDepartmentCode = CommonMotions.cnvInt(DataRec[(int)DBColumn2.DepartmentCode]);
 
-                    // 営業担当名取得
-                    string strSales = picDB.CreatePrimarykeyString(wrkRec.SalesPersonCode);
-                    picDB.ClearStruct(ref salesData);
-                    picDB.SelectAction(strSales, ref salesData);
-                    string salesname = salesData.PersonName;
+                    if (iConstructionCode == BreakConstructionCode) continue;
+                    // 名称取得
+                    getDetailStrings(iConstructionCode, arData, ref Details);
 
-                    // 工事担当名取得
-                    string strConstructor = picDB.CreatePrimarykeyString(wrkRec.ConstructionPersonCode);
-                    picDB.ClearStruct(ref constructorData);
-                    string constructorname = CommonDefine.s_UndecidedString;
-                    if (picDB.SelectAction(strConstructor, ref constructorData)) constructorname = constructorData.PersonName;
+                    BreakConstructionCode = iConstructionCode;
 
-                    // 工事指導員取得
-                    string strConstructionInstructor = picDB.CreatePrimarykeyString(wrkRec.ConstructionInstructor);
-                    picDB.ClearStruct(ref InstructorData);
-                    string instructorname = "";
-                    if (picDB.SelectAction(strConstructionInstructor, ref InstructorData)) instructorname = InstructorData.PersonName;
+                    // データを工事情報のフォーマットに詰めなおす
+                    ConstructionBaseInfo wrkRec = new ConstructionBaseInfo();
+                    int objCnt = DataRec.Length - DBCnt;
+                    object[] wrkobj = new object[objCnt];
+                    for (int i = 0; i < objCnt; i++)
+                    {
+                        wrkobj[i] = DataRec[i + DBCnt];
+                    }
+                    cbiDB.Reader2Struct(wrkobj, ref wrkRec);
 
-                    // 名称取得
-                    getDetailStrings(wrkRec.ConstructionCode, Details);
 
                     // 期が違えば空白を開ける
                     if (BreakConstructionPeriod != wrkRec.ConstructionPeriod)
                     {
-                        DataGridViewRow brow = new DataGridViewRow();
-                        brow.CreateCells(dgvConstructionProjects);
-                        list[iLineCnt] = brow;
                         BreakConstructionPeriod = wrkRec.ConstructionPeriod;
+                        dgvConstructionProjects.Rows.Add();
                         iLineCnt++;
                     }
                     string jyutyu = "";
@@ -1488,9 +1834,7 @@
                     int iStatusFlg = wrkRec.ConstructionStatusFlg;
 
                     // データセット
-                    DataGridViewRow row = new DataGridViewRow();
-                    row.CreateCells(dgvConstructionProjects);
-                    row.SetValues(new object[] { wrkRec.ConstructionCode
+                    int LineCnt = dgvConstructionProjects.Rows.Add(wrkRec.ConstructionCode
                                                 , ino
                                                 , wrkRec.ConstructionPeriod
                                                 , Details[0]
@@ -1502,11 +1846,11 @@
                                                 , CommonMotions.cnvDateToUndecidedString(wrkRec.OrderCompletionDate)
                                                 , Details[1] + Details[2] + Details[3]
                                                 , Details[4]
-                                                , jyutyu });
+                                                , jyutyu );
 
                     // エラー行に色を付ける
+                    DataGridViewRow row = dgvConstructionProjects.Rows[LineCnt];
                     DispErrorSubmittedDateRow(dgvConstructionProjects, row, wrkRec, ChkProc);
-                    list[iLineCnt] = row;
                     iLineCnt++;
 
                     // ProgressBarの値を変更する
@@ -1524,23 +1868,23 @@
                     else
                     {
                         lTotal02 += (long)wrkRec.OrdersDecisionPrice;
-                        if (constructorData.DepartmentCode == s_ConstructionProjectsTotalCode1)
+                        if (iDepartmentCode == s_ConstructionProjectsTotalCode1)
                         {          // 山本組
                             lDep01 += (long)wrkRec.OrdersDecisionPrice;
                         }
-                        else if (constructorData.DepartmentCode == s_ConstructionProjectsTotalCode2)
+                        else if (iDepartmentCode == s_ConstructionProjectsTotalCode2)
                         {          // 工事部
                             lDep02 += (long)wrkRec.OrdersDecisionPrice;
                         }
-                        else if (constructorData.DepartmentCode == s_ConstructionProjectsTotalCode3)
+                        else if (iDepartmentCode == s_ConstructionProjectsTotalCode3)
                         {          // 営繕部
                             lDep03 += (long)wrkRec.OrdersDecisionPrice;
                         }
-                        else if (constructorData.DepartmentCode == s_ConstructionProjectsTotalCode4)
+                        else if (iDepartmentCode == s_ConstructionProjectsTotalCode4)
                         {          // 営業
                             lDep04 += (long)wrkRec.OrdersDecisionPrice;
                         }
-                        else if (constructorData.DepartmentCode == s_ConstructionProjectsTotalCode5)
+                        else if (iDepartmentCode == s_ConstructionProjectsTotalCode5)
                         {          // 企画・設計・リフォーム部
                             lDep05 += (long)wrkRec.OrdersDecisionPrice;
                         }
@@ -1551,9 +1895,6 @@
                 dgvConstructionProjects.AutoSizeRowsMode = DataGridViewAutoSizeRowsMode.None;
                 dgvConstructionProjects.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
 
-                // グリッドに表示
-                dgvConstructionProjects.Rows.AddRange(list);
-
                 // ProgressBarの値を変更する
                 ProgressConstructionProjects.Value = ProgressConstructionProjects.Maximum;
                 ProgressConstructionProjects.Update();
